CNAF - Bug #1095

Jamsostek (JER1, JER2 & JER3, JEE1) Tidak terprorate
04/25/2022 03:39 PM - ikawati basri

Status: Closed Start date: 04/25/2022
Priority: Urgent Due date: 04/28/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Mba Yooma,

di CNAF perhitungan WT Jamsostek (JER1, JER2 & JER3) & BPJS Jaminan Pensiun Tidak terprorate (BJE4 & BJS4) untuk
karyawan yang gajinya prorate (karyawan baru atau resign) tidak terprorate yang seharusnya basenya menyesuaikan dengan jumlah
prorate dari gaji pokok karyawan.

App: http://remote.minovais.com:10019/

database: remote.minovais.com, 1452\MSSQLSERVER2014 - [MinovaHR_ESS_CNAF_Production]
Wage Type:

JEE1 Potongan Jamsostek

JER1 Jaminan Hari Tua

JER2 Jaminan Kecelakaan Kerja

JER3 Jaminan Kematian

saya runnning di bulan 202108 (payroll controll 202108)
contoh employee: 00006465

hiring di bulan Agusutus 2021

payroll result 2021-08

Gaji prorate bulan agustus: Rp 2,580,645.00
Maka seharusnya yang menjadi base JEE & JER sama dengan gaiji prorate tersebut.

Untuk JP sudah sesuai base nya, sudah mengikuti gaji prorate:

BJS4 Subsidy BPJS Pensiun - 2,580,645.00

BJE4 Potongan BPJS Pensiun Employee - 2,580,645.00

mungkin bisa mengikuti yang di BJS4 & BJE4 untuk penyesuaian JEE & JER.
Terimakasih.

Salam,

Ika

History

#1 - 04/26/2022 11:07 AM - Tri Rizqgiaty
- File clipboard-202204261106-oaymu.png added

- Status changed from New to Developing

Fixing :

Udpate table hr_cu0300 untuk wagetype2 tersebut, sesuai gambar dibawah ini,
http://remote.minovais.com:10019/

v > £ sql - no £ S € - not connected

AINOVAIS-SERVERN...n - dbo.hr_cu0300 + X pelReliEy

Column Alias Table Outp... Sort Type Sort Order Or... &)
landscape hr_cu0300
code hr_cu0300 = N'ERZ' = NJEET = NUERT" = NJERS'
start_date hr_cu0300
end_date hr_cu0300
description hr_cu0300
calculation_d... hr_cu0300
seq hr_cu0300
grossup_seq hr_cu0300 wagetypeZnya ternyata ada 2, jadi unfuk wagetype yang sudah ftidak
wage_group hr_cu0300 terpakai, landscape dijadiin '000' saja
type hr_cu0300
regular hr_cu0300
taxable hr_cu0300 1 27
landscape code start_date description calculation_de.. seqg grossup_seq wage_group type regular taxable pretax
000 JEET Potengan Jams... 55 D N ¥ N ¥
000 JER1 Jaminan Hari Tua 36 14 | M Y M
000 JER2 Jaminan Kecela... 37 14 | N ¥ Y
100 JEET Potengan Jams... 55 D G ¥ N ¥
100 JER1 Jaminan Hari Tua 36 14 | G Y M
100 JER2 20131201 99991231 Jaminan Kecela... 37 14 | G ¥ Y
000 JER3 18000101 99991231 Jaminan Kemat... 38 17 | N ¥ Y
100 JER3 20131201 99901231 Jaminan Kemat... 38 17 | G Y Y
. NULL NULL NULL NULL NULL NULL NULL NULL NULL MNULL NULL NULL MNULL
#2 - 04/26/2022 11:07 AM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to ikawati basri
#3 - 04/26/2022 12:07 PM - ikawati basri
Tidak boleh ada duoble wage type dengan kode yang sama.
#4 - 05/31/2022 02:28 PM - ikawati basri
- Status changed from QA Test to Closed
Files
clipboard-202204261106-oaymu.png 85.2 KB 04/26/2022 Tri Rizqiaty
